Bug 52779 - please make rat and sdr use tcl/tk8.3
Summary: please make rat and sdr use tcl/tk8.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Bill Fenner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-05-29 06:10 UTC by Jim Overholt
Modified: 2004-02-02 01:35 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Overholt 2003-05-29 06:10:04 UTC
sdr and rat now use tcl8.2 and tk8.2.  
please update the Makefiles and files so it will use tcl8.3 and tk8.3

Fix: 

rat is easy, just the FreeBSD Makefile...

boboy:/usr/ports/mbone/rat# diff Makefile.orig Makefile
19,20c19,20
< TCLTK_VERSION=  8.2
< LIB_DEPENDS=  tk82.1:${PORTSDIR}/x11-toolkits/tk82
---
> TCLTK_VERSION=  8.3
> LIB_DEPENDS=  tk83.1:${PORTSDIR}/x11-toolkits/tk83


sdr needs changes in the FreeBSD Makefile and 2 files...


boboy:/usr/ports/mbone/sdr# diff Makefile.orig Makefile
10c10
< CATEGORIES=   mbone tk82
---
> CATEGORIES=   mbone tk83
16c16
< LIB_DEPENDS=  tk82.1:${PORTSDIR}/x11-toolkits/tk82
---
> LIB_DEPENDS=  tk83.1:${PORTSDIR}/x11-toolkits/tk83



boboy:/usr/ports/mbone/sdr/files# diff Makefile.freebsd.orig Makefile.freebsd
2,3c2,3
< INCLUDES    = -I${X11BASE}/include -I${LOCALBASE}/include/tk8.2 -I${LOCALBASE}/include/tcl8.2 -I${LOCALBASE}/include/uclmmbase
< LIBS        = -L${LOCALBASE}/lib -ltk82 -ltcl82 -luclmmbase -L${X11BASE}/lib -lX11 -lz -lm
---
> INCLUDES    = -I${X11BASE}/include -I${LOCALBASE}/include/tk8.3 -I${LOCALBASE}/include/tcl8.3 -I${LOCALBASE}/include/uclmmbase
> LIBS        = -L${LOCALBASE}/lib -ltk83 -ltcl83 -luclmmbase -L${X11BASE}/lib -lX11 -lz -lm



boboy:/usr/ports/mbone/sdr/files# diff patch-ab.orig patch-ab
8c8
< +     tclsh8.2 ../src/plugin2tcl.tcl
---
> +     tclsh8.3 ../src/plugin2tcl.tcl
How-To-Repeat:         portinstall rat sdr
Comment 1 Mario Sergio Fujikawa Ferreira freebsd_committer 2003-06-09 22:57:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->fenner

Over to maintainer(s)
Comment 2 Bill Fenner freebsd_committer 2004-02-02 01:34:32 UTC
State Changed
From-To: open->closed

Committed for rat; updated sdr to 8.4.